%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:        A tool for actively monitoring log files.
Name: swatch
Version: 3.1.1
Release: 4tr
Group: Trustix Official
License: GPL
URL: http://swatch.sourceforge.net/
Source0: http://dl.sf.net/swatch/swatch-3.1.1.tar.gz
Source1: swatch.init
Source2: swatch.sysconfig
Source3: swatch.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl >= 5.6.1
BuildRequires: perl(Date::Calc), perl(Date::Format)
BuildRequires: perl(File::Tail), perl(Time::HiRes)
Requires: perl(Date::Calc), perl(Date::Format)
Requires: perl(File::Tail), perl(Time::HiRes)
Requires: perl(Date::Manip)
Requires: perl = %{perlver}
PreReq: chkconfig, tsl-utils

%description
The Simple WATCHer is an automated monitoring tool that is capable 
of alerting system administrators of anything that matches the 
patterns described in the configuration file, whilst constantly 
searching logfiles using perl.


%prep
%setup -q
chmod 644 tools/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist  -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

mkdir -p $RPM_BUILD_ROOT%{_initdir}
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/swatch
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/swatch
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/swatch.conf

%clean 
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
	# Add initscripts symlinks:
	/sbin/chkconfig --add swatch
elif [ $1 = 2]; then
	# Restart service if configured to start on boot:
	/sbin/restart_maybe swatch
fi

%preun
if [ $1 = 0 ]; then
   # Stop service if it's running
   %{_initdir}/swatch stop > /dev/null 2>&1 || :
   /sbin/chkconfig --del swatch
fi


%files
%defattr(-,root,root,0755)
%doc CHANGES COPYRIGHT COPYING KNOWN_BUGS README examples/ tools/
%config(noreplace) /etc/swatch.conf
%config(noreplace) /etc/sysconfig/swatch
%{_initdir}/swatch
%{_bindir}/swatch
%{_mandir}/man[13]/*
%{perl_vendorlib}/Swatch/
%{perl_vendorlib}/auto/Swatch/


%changelog
* Fri Jun 17 2005 Chr. Toldnes <christht at trustix dot org> 3.1.1-4tr
- Cleaned up post scripts
- Prereq needed post script stuff

* Tue Jun  7 2005 Chr. Toldnes <christht at trustix dot org> 3.1.1-3tr
- removed the alert hack. This is performed internally in xsentryd now.

* Tue May 10 2005 Chr. Toldnes <christht at trustix dot org> 3.1.1-2tr
- Added alert symlink to swatch initscript
- Added %post scripts
- Renamed swatchrc to swatch.conf

* Fri Mar 18 2005 Erlend Midttun <erlendbm @ trustix dot org> 3.1.1-1tr
- Adopted

* Thu Aug 26 2004 Gavin Henry <ghenry[AT]suretecsystems.com> 3.1.1-1
- Retaking ownership, thanks jpo and updating for version 3.1.1

* Tue May 25 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:3.1-0.fdr.3
- Taking temporary ownership.
- Synced specfile suggestions.
- Cleared the requirements.

* Mon May 10 2004 Gavin Henry <ghenry@suretecsystems.com> - 0:3.1-0.fdr.2
- Updated with bugzilla changes.

* Wed Apr 28 2004 Gavin Henry <ghenry@suretecsystems.com> - 0:3.1-0.fdr.1
- Updated for version 3.1

* Thu Mar 18 2004 Gavin Henry <ghenry@suretecsystems.com> - 0:3.0.8-0.fdr.1
- Updated with QA comments and added BuildRequires. Fedora.us - Bug 1346

* Sat Mar 06 2004 Gavin Henry <ghenry@suretecsystems.com> - 0:3.0.8-0
- Initial package release.
